# Form implementation generated from reading ui file 'src/eric7/Preferences/ConfigurationPages/ProjectPage.ui'
#
# Created by: PyQt6 UI code generator 6.7.0
#
# WARNING: Any manual changes made to this file will be lost when pyuic6 is
# run again.  Do not edit this file unless you know what you are doing.


from PyQt6 import QtCore, QtGui, QtWidgets


class Ui_ProjectPage(object):
    def setupUi(self, ProjectPage):
        ProjectPage.setObjectName("ProjectPage")
        ProjectPage.resize(602, 894)
        self.verticalLayout_3 = QtWidgets.QVBoxLayout(ProjectPage)
        self.verticalLayout_3.setObjectName("verticalLayout_3")
        self.headerLabel = QtWidgets.QLabel(parent=ProjectPage)
        self.headerLabel.setObjectName("headerLabel")
        self.verticalLayout_3.addWidget(self.headerLabel)
        self.line8 = QtWidgets.QFrame(parent=ProjectPage)
        self.line8.setFrameShape(QtWidgets.QFrame.Shape.HLine)
        self.line8.setFrameShadow(QtWidgets.QFrame.Shadow.Sunken)
        self.line8.setFrameShape(QtWidgets.QFrame.Shape.HLine)
        self.line8.setObjectName("line8")
        self.verticalLayout_3.addWidget(self.line8)
        self.groupBox_10 = QtWidgets.QGroupBox(parent=ProjectPage)
        self.groupBox_10.setObjectName("groupBox_10")
        self.horizontalLayout_3 = QtWidgets.QHBoxLayout(self.groupBox_10)
        self.horizontalLayout_3.setObjectName("horizontalLayout_3")
        self.projectAutoSaveCheckBox = QtWidgets.QCheckBox(parent=self.groupBox_10)
        self.projectAutoSaveCheckBox.setObjectName("projectAutoSaveCheckBox")
        self.horizontalLayout_3.addWidget(self.projectAutoSaveCheckBox)
        self.verticalLayout_3.addWidget(self.groupBox_10)
        self.groupBox_6 = QtWidgets.QGroupBox(parent=ProjectPage)
        self.groupBox_6.setObjectName("groupBox_6")
        self.vboxlayout = QtWidgets.QVBoxLayout(self.groupBox_6)
        self.vboxlayout.setObjectName("vboxlayout")
        self.projectTimestampCheckBox = QtWidgets.QCheckBox(parent=self.groupBox_6)
        self.projectTimestampCheckBox.setObjectName("projectTimestampCheckBox")
        self.vboxlayout.addWidget(self.projectTimestampCheckBox)
        self.verticalLayout_3.addWidget(self.groupBox_6)
        self.groupBox_2 = QtWidgets.QGroupBox(parent=ProjectPage)
        self.groupBox_2.setObjectName("groupBox_2")
        self.gridlayout = QtWidgets.QGridLayout(self.groupBox_2)
        self.gridlayout.setObjectName("gridlayout")
        self.projectSearchNewFilesRecursiveCheckBox = QtWidgets.QCheckBox(parent=self.groupBox_2)
        self.projectSearchNewFilesRecursiveCheckBox.setObjectName("projectSearchNewFilesRecursiveCheckBox")
        self.gridlayout.addWidget(self.projectSearchNewFilesRecursiveCheckBox, 0, 0, 1, 1)
        self.projectSearchNewFilesCheckBox = QtWidgets.QCheckBox(parent=self.groupBox_2)
        self.projectSearchNewFilesCheckBox.setObjectName("projectSearchNewFilesCheckBox")
        self.gridlayout.addWidget(self.projectSearchNewFilesCheckBox, 0, 1, 1, 1)
        self.projectAutoIncludeNewFilesCheckBox = QtWidgets.QCheckBox(parent=self.groupBox_2)
        self.projectAutoIncludeNewFilesCheckBox.setEnabled(False)
        self.projectAutoIncludeNewFilesCheckBox.setObjectName("projectAutoIncludeNewFilesCheckBox")
        self.gridlayout.addWidget(self.projectAutoIncludeNewFilesCheckBox, 1, 1, 1, 1)
        self.verticalLayout_3.addWidget(self.groupBox_2)
        self.groupBox_4 = QtWidgets.QGroupBox(parent=ProjectPage)
        self.groupBox_4.setObjectName("groupBox_4")
        self.gridlayout1 = QtWidgets.QGridLayout(self.groupBox_4)
        self.gridlayout1.setObjectName("gridlayout1")
        self.projectLoadDebugPropertiesCheckBox = QtWidgets.QCheckBox(parent=self.groupBox_4)
        self.projectLoadDebugPropertiesCheckBox.setObjectName("projectLoadDebugPropertiesCheckBox")
        self.gridlayout1.addWidget(self.projectLoadDebugPropertiesCheckBox, 0, 0, 1, 1)
        self.projectSaveDebugPropertiesCheckBox = QtWidgets.QCheckBox(parent=self.groupBox_4)
        self.projectSaveDebugPropertiesCheckBox.setObjectName("projectSaveDebugPropertiesCheckBox")
        self.gridlayout1.addWidget(self.projectSaveDebugPropertiesCheckBox, 0, 1, 1, 1)
        self.verticalLayout_3.addWidget(self.groupBox_4)
        self.groupBox_3 = QtWidgets.QGroupBox(parent=ProjectPage)
        self.groupBox_3.setObjectName("groupBox_3")
        self.gridlayout2 = QtWidgets.QGridLayout(self.groupBox_3)
        self.gridlayout2.setObjectName("gridlayout2")
        self.projectLoadSessionCheckBox = QtWidgets.QCheckBox(parent=self.groupBox_3)
        self.projectLoadSessionCheckBox.setObjectName("projectLoadSessionCheckBox")
        self.gridlayout2.addWidget(self.projectLoadSessionCheckBox, 0, 0, 1, 1)
        self.projectSaveSessionCheckBox = QtWidgets.QCheckBox(parent=self.groupBox_3)
        self.projectSaveSessionCheckBox.setObjectName("projectSaveSessionCheckBox")
        self.gridlayout2.addWidget(self.projectSaveSessionCheckBox, 0, 1, 1, 1)
        self.projectSessionAllBpCheckBox = QtWidgets.QCheckBox(parent=self.groupBox_3)
        self.projectSessionAllBpCheckBox.setObjectName("projectSessionAllBpCheckBox")
        self.gridlayout2.addWidget(self.projectSessionAllBpCheckBox, 1, 1, 1, 1)
        self.verticalLayout_3.addWidget(self.groupBox_3)
        self.groupBox_5 = QtWidgets.QGroupBox(parent=ProjectPage)
        self.groupBox_5.setObjectName("groupBox_5")
        self.gridLayout = QtWidgets.QGridLayout(self.groupBox_5)
        self.gridLayout.setObjectName("gridLayout")
        self.projectAutoCompileFormsCheckBox = QtWidgets.QCheckBox(parent=self.groupBox_5)
        self.projectAutoCompileFormsCheckBox.setObjectName("projectAutoCompileFormsCheckBox")
        self.gridLayout.addWidget(self.projectAutoCompileFormsCheckBox, 0, 0, 1, 1)
        self.projectAutoCompileResourcesCheckBox = QtWidgets.QCheckBox(parent=self.groupBox_5)
        self.projectAutoCompileResourcesCheckBox.setObjectName("projectAutoCompileResourcesCheckBox")
        self.gridLayout.addWidget(self.projectAutoCompileResourcesCheckBox, 0, 1, 1, 1)
        self.projectAutoMakeCheckBox = QtWidgets.QCheckBox(parent=self.groupBox_5)
        self.projectAutoMakeCheckBox.setObjectName("projectAutoMakeCheckBox")
        self.gridLayout.addWidget(self.projectAutoMakeCheckBox, 1, 0, 1, 1)
        self.verticalLayout_3.addWidget(self.groupBox_5)
        self.groupBox = QtWidgets.QGroupBox(parent=ProjectPage)
        self.groupBox.setObjectName("groupBox")
        self.verticalLayout = QtWidgets.QVBoxLayout(self.groupBox)
        self.verticalLayout.setObjectName("verticalLayout")
        self.pythonVariantCheckBox = QtWidgets.QCheckBox(parent=self.groupBox)
        self.pythonVariantCheckBox.setObjectName("pythonVariantCheckBox")
        self.verticalLayout.addWidget(self.pythonVariantCheckBox)
        self.verticalLayout_3.addWidget(self.groupBox)
        self.groupBox_9 = QtWidgets.QGroupBox(parent=ProjectPage)
        self.groupBox_9.setObjectName("groupBox_9")
        self.verticalLayout_2 = QtWidgets.QVBoxLayout(self.groupBox_9)
        self.verticalLayout_2.setObjectName("verticalLayout_2")
        self.restartShellCheckBox = QtWidgets.QCheckBox(parent=self.groupBox_9)
        self.restartShellCheckBox.setObjectName("restartShellCheckBox")
        self.verticalLayout_2.addWidget(self.restartShellCheckBox)
        self.verticalLayout_3.addWidget(self.groupBox_9)
        self.groupBox_7 = QtWidgets.QGroupBox(parent=ProjectPage)
        self.groupBox_7.setObjectName("groupBox_7")
        self.horizontalLayout = QtWidgets.QHBoxLayout(self.groupBox_7)
        self.horizontalLayout.setObjectName("horizontalLayout")
        self.label = QtWidgets.QLabel(parent=self.groupBox_7)
        self.label.setObjectName("label")
        self.horizontalLayout.addWidget(self.label)
        self.projectRecentSpinBox = QtWidgets.QSpinBox(parent=self.groupBox_7)
        self.projectRecentSpinBox.setAlignment(QtCore.Qt.AlignmentFlag.AlignRight|QtCore.Qt.AlignmentFlag.AlignTrailing|QtCore.Qt.AlignmentFlag.AlignVCenter)
        self.projectRecentSpinBox.setMinimum(5)
        self.projectRecentSpinBox.setMaximum(50)
        self.projectRecentSpinBox.setObjectName("projectRecentSpinBox")
        self.horizontalLayout.addWidget(self.projectRecentSpinBox)
        spacerItem = QtWidgets.QSpacerItem(40, 20, QtWidgets.QSizePolicy.Policy.Expanding, QtWidgets.QSizePolicy.Policy.Minimum)
        self.horizontalLayout.addItem(spacerItem)
        self.verticalLayout_3.addWidget(self.groupBox_7)
        self.groupBox_8 = QtWidgets.QGroupBox(parent=ProjectPage)
        self.groupBox_8.setObjectName("groupBox_8")
        self.horizontalLayout_2 = QtWidgets.QHBoxLayout(self.groupBox_8)
        self.horizontalLayout_2.setObjectName("horizontalLayout_2")
        self.autosaveTasksCheckBox = QtWidgets.QCheckBox(parent=self.groupBox_8)
        self.autosaveTasksCheckBox.setObjectName("autosaveTasksCheckBox")
        self.horizontalLayout_2.addWidget(self.autosaveTasksCheckBox)
        self.rescanTasksCheckBox = QtWidgets.QCheckBox(parent=self.groupBox_8)
        self.rescanTasksCheckBox.setObjectName("rescanTasksCheckBox")
        self.horizontalLayout_2.addWidget(self.rescanTasksCheckBox)
        self.verticalLayout_3.addWidget(self.groupBox_8)
        spacerItem1 = QtWidgets.QSpacerItem(20, 40, QtWidgets.QSizePolicy.Policy.Minimum, QtWidgets.QSizePolicy.Policy.Expanding)
        self.verticalLayout_3.addItem(spacerItem1)

        self.retranslateUi(ProjectPage)
        self.projectSearchNewFilesCheckBox.toggled['bool'].connect(self.projectAutoIncludeNewFilesCheckBox.setEnabled) # type: ignore
        QtCore.QMetaObject.connectSlotsByName(ProjectPage)
        ProjectPage.setTabOrder(self.projectAutoSaveCheckBox, self.projectTimestampCheckBox)
        ProjectPage.setTabOrder(self.projectTimestampCheckBox, self.projectSearchNewFilesRecursiveCheckBox)
        ProjectPage.setTabOrder(self.projectSearchNewFilesRecursiveCheckBox, self.projectSearchNewFilesCheckBox)
        ProjectPage.setTabOrder(self.projectSearchNewFilesCheckBox, self.projectAutoIncludeNewFilesCheckBox)
        ProjectPage.setTabOrder(self.projectAutoIncludeNewFilesCheckBox, self.projectLoadDebugPropertiesCheckBox)
        ProjectPage.setTabOrder(self.projectLoadDebugPropertiesCheckBox, self.projectSaveDebugPropertiesCheckBox)
        ProjectPage.setTabOrder(self.projectSaveDebugPropertiesCheckBox, self.projectLoadSessionCheckBox)
        ProjectPage.setTabOrder(self.projectLoadSessionCheckBox, self.projectSaveSessionCheckBox)
        ProjectPage.setTabOrder(self.projectSaveSessionCheckBox, self.projectSessionAllBpCheckBox)
        ProjectPage.setTabOrder(self.projectSessionAllBpCheckBox, self.projectAutoCompileFormsCheckBox)
        ProjectPage.setTabOrder(self.projectAutoCompileFormsCheckBox, self.projectAutoCompileResourcesCheckBox)
        ProjectPage.setTabOrder(self.projectAutoCompileResourcesCheckBox, self.projectAutoMakeCheckBox)
        ProjectPage.setTabOrder(self.projectAutoMakeCheckBox, self.pythonVariantCheckBox)
        ProjectPage.setTabOrder(self.pythonVariantCheckBox, self.restartShellCheckBox)
        ProjectPage.setTabOrder(self.restartShellCheckBox, self.projectRecentSpinBox)
        ProjectPage.setTabOrder(self.projectRecentSpinBox, self.autosaveTasksCheckBox)
        ProjectPage.setTabOrder(self.autosaveTasksCheckBox, self.rescanTasksCheckBox)

    def retranslateUi(self, ProjectPage):
        _translate = QtCore.QCoreApplication.translate
        self.headerLabel.setText(_translate("ProjectPage", "<b>Configure project settings</b>"))
        self.groupBox_10.setTitle(_translate("ProjectPage", "Project"))
        self.projectAutoSaveCheckBox.setToolTip(_translate("ProjectPage", "Enable to save the project file automatically whenever there is a change"))
        self.projectAutoSaveCheckBox.setText(_translate("ProjectPage", "Save project automatically when changed"))
        self.groupBox_6.setTitle(_translate("ProjectPage", "Files"))
        self.projectTimestampCheckBox.setToolTip(_translate("ProjectPage", "Select, if a timestamp should be written to all Project files"))
        self.projectTimestampCheckBox.setText(_translate("ProjectPage", "Include timestamp in Project files"))
        self.groupBox_2.setTitle(_translate("ProjectPage", "Search new files"))
        self.projectSearchNewFilesRecursiveCheckBox.setText(_translate("ProjectPage", "Search for new files recursively"))
        self.projectSearchNewFilesCheckBox.setToolTip(_translate("ProjectPage", "Select whether a search for new files on a project open should be performed."))
        self.projectSearchNewFilesCheckBox.setText(_translate("ProjectPage", "Search for new files on open"))
        self.projectAutoIncludeNewFilesCheckBox.setToolTip(_translate("ProjectPage", "Select whether the found files should be included automatically."))
        self.projectAutoIncludeNewFilesCheckBox.setText(_translate("ProjectPage", "Automatically include found files"))
        self.groupBox_4.setTitle(_translate("ProjectPage", "Debugger Properties"))
        self.projectLoadDebugPropertiesCheckBox.setToolTip(_translate("ProjectPage", "Select, whether a project debugger properties file shall be read on opening the project"))
        self.projectLoadDebugPropertiesCheckBox.setText(_translate("ProjectPage", "Load debugger properties upon opening"))
        self.projectSaveDebugPropertiesCheckBox.setToolTip(_translate("ProjectPage", "Select, whether a project debugger properties file shall be written on closing the project"))
        self.projectSaveDebugPropertiesCheckBox.setText(_translate("ProjectPage", "Save debugger properties upon closing"))
        self.groupBox_3.setTitle(_translate("ProjectPage", "Sessions"))
        self.projectLoadSessionCheckBox.setToolTip(_translate("ProjectPage", "Select, whether a project session file shall be read on opening the project"))
        self.projectLoadSessionCheckBox.setText(_translate("ProjectPage", "Load session upon opening"))
        self.projectSaveSessionCheckBox.setToolTip(_translate("ProjectPage", "Select, whether a project session file shall be written on closing the project"))
        self.projectSaveSessionCheckBox.setText(_translate("ProjectPage", "Save session upon closing"))
        self.projectSessionAllBpCheckBox.setToolTip(_translate("ProjectPage", "Select whether all breakpoints should be saved to the session file."))
        self.projectSessionAllBpCheckBox.setText(_translate("ProjectPage", "Save all breakpoints"))
        self.groupBox_5.setTitle(_translate("ProjectPage", "Automations"))
        self.projectAutoCompileFormsCheckBox.setToolTip(_translate("ProjectPage", "Select, if changed forms should be compiled automatically upon a run action"))
        self.projectAutoCompileFormsCheckBox.setText(_translate("ProjectPage", "Compile changed forms"))
        self.projectAutoCompileResourcesCheckBox.setToolTip(_translate("ProjectPage", "Select, if changed resources should be compiled automatically upon a run action"))
        self.projectAutoCompileResourcesCheckBox.setText(_translate("ProjectPage", "Compile changed resources"))
        self.projectAutoMakeCheckBox.setToolTip(_translate("ProjectPage", "Select to execute the configured \'make\' command before a run action is performed"))
        self.projectAutoMakeCheckBox.setText(_translate("ProjectPage", "Execute make"))
        self.groupBox.setTitle(_translate("ProjectPage", "Python Variant"))
        self.pythonVariantCheckBox.setToolTip(_translate("ProjectPage", "Select to determine the Python variant from the project language"))
        self.pythonVariantCheckBox.setText(_translate("ProjectPage", "Determine Python variant from project language"))
        self.groupBox_9.setTitle(_translate("ProjectPage", "Shell"))
        self.restartShellCheckBox.setToolTip(_translate("ProjectPage", "Select to restart the shell with the interpreter of the project (if configured)"))
        self.restartShellCheckBox.setText(_translate("ProjectPage", "Restart Shell for project upon opening"))
        self.groupBox_7.setTitle(_translate("ProjectPage", "Recent Projects"))
        self.label.setText(_translate("ProjectPage", "Number of recent projects:"))
        self.projectRecentSpinBox.setToolTip(_translate("ProjectPage", "Enter the number of recent projects to remember"))
        self.groupBox_8.setTitle(_translate("ProjectPage", "Tasks"))
        self.autosaveTasksCheckBox.setToolTip(_translate("ProjectPage", "Select to save the project tasks automatically"))
        self.autosaveTasksCheckBox.setText(_translate("ProjectPage", "Save tasks automatically"))
        self.rescanTasksCheckBox.setToolTip(_translate("ProjectPage", "Select to rescan the project tasks when a project is opened"))
        self.rescanTasksCheckBox.setText(_translate("ProjectPage", "Rescan tasks upon opening"))
